VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info Class Reference

The `Scsi.Info` class contains information about a virtual SCSI adapter. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetLabel ()
| Device label.
void | SetLabel (string label)
| Device label.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type | Get_Type ()
| Adapter type.
void | SetType (vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type type)
| Adapter type.
vmware.vcenter.vm.hardware.ScsiAddressInfo | GetScsi ()
| Address of the SCSI adapter on the SCSI bus.
void | SetScsi (vmware.vcenter.vm.hardware.ScsiAddressInfo scsi)
| Address of the SCSI adapter on the SCSI bus.
long | GetPciSlotNumber ()
| Address of the SCSI adapter on the PCI bus.
void | SetPciSlotNumber (long?pciSlotNumber)
| Address of the SCSI adapter on the PCI bus.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | GetSharing ()
| Bus sharing mode.
void | SetSharing (vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing sharing)
| Bus sharing mode.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Scsi.Info` class contains information about a virtual SCSI adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::Get_Type | ( |  | ) | `[inline]`

Adapter type.

override int vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::GetLabel | ( |  | ) | `[inline]`

Device label.

long vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::GetPciSlotNumber | ( |  | ) | `[inline]`

Address of the SCSI adapter on the PCI bus.

If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

vmware.vcenter.vm.hardware.ScsiAddressInfo vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::GetScsi | ( |  | ) | `[inline]`

Address of the SCSI adapter on the SCSI bus.

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::GetSharing | ( |  | ) | `[inline]`

Bus sharing mode.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::SetLabel | ( | string | label | ) | `[inline]`

Device label.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::SetPciSlotNumber | ( | long? | pciSlotNumber | ) | `[inline]`

Address of the SCSI adapter on the PCI bus.

If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::SetScsi | ( | vmware.vcenter.vm.hardware.ScsiAddressInfo | scsi | ) | `[inline]`

Address of the SCSI adapter on the SCSI bus.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::SetSharing | ( | vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | sharing | ) | `[inline]`

Bus sharing mode.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::SetType | ( | vmware.vcenter.vm.hardware.adapter.ScsiTypes.Type | type | ) | `[inline]`

Adapter type.

override string vmware::vcenter::vm::hardware::adapter::ScsiTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScsiTypes.cs